[BACK]Return to rc CVS log [TXT][DIR] Up to [local] / src / etc

Annotation of src/etc/rc, Revision 1.390

1.390   ! halex       1: #      $OpenBSD: rc,v 1.389 2011/07/19 13:50:49 deraadt Exp $
1.1       deraadt     2:
                      3: # System startup script run by init on autoboot
                      4: # or after single-user.
                      5: # Output and error are redirected to console by init,
                      6: # and the console is the controlling terminal.
                      7:
1.131     millert     8: # Subroutines (have to come first).
                      9:
                     10: # Strip comments (and leading/trailing whitespace if IFS is set)
                     11: # from a file and spew to stdout
                     12: stripcom() {
                     13:        local _file="$1"
                     14:        local _line
                     15:
                     16:        {
                     17:                while read _line ; do
                     18:                        _line=${_line%%#*}              # strip comments
                     19:                        test -z "$_line" && continue
                     20:                        echo $_line
                     21:                done
                     22:        } < $_file
                     23: }
                     24:
1.265     millert    25: # Update resource limits when sysctl changes
                     26: # Usage: update_limit -X loginconf_name
                     27: update_limit() {
                     28:        local _fl="$1"  # ulimit flag
                     29:        local _lc="$2"  # login.conf name
                     30:        local _new _suf
                     31:
                     32:        for _suf in "" -cur -max; do
                     33:                _new=`getcap -f /etc/login.conf -s ${_lc}${_suf} daemon 2>/dev/null`
                     34:                if [ X"$_new" != X"" ]; then
                     35:                        if [ X"$_new" = X"infinity" ]; then
                     36:                                _new=unlimited
                     37:                        fi
                     38:                        case "$_suf" in
                     39:                        -cur)
                     40:                                ulimit -S $_fl $_new
                     41:                                ;;
                     42:                        -max)
                     43:                                ulimit -H $_fl $_new
                     44:                                ;;
                     45:                        *)
                     46:                                ulimit $_fl $_new
                     47:                                return
                     48:                                ;;
                     49:                        esac
                     50:                fi
                     51:        done
                     52: }
                     53:
                     54: sysctl_conf() {
1.267     millert    55:        test -s /etc/sysctl.conf || return
                     56:
1.265     millert    57:        # delete comments and blank lines
                     58:        set -- `stripcom /etc/sysctl.conf`
                     59:        while [ $# -ge 1 ] ; do
                     60:                sysctl $1
                     61:                # update limits if needed
                     62:                case $1 in
                     63:                kern.maxproc=*)
                     64:                        update_limit -p maxproc
                     65:                        ;;
                     66:                kern.maxfiles=*)
                     67:                        update_limit -n openfiles
                     68:                        ;;
                     69:                esac
                     70:                shift
                     71:        done
                     72: }
                     73:
                     74: mixerctl_conf()
                     75: {
1.267     millert    76:        test -s /etc/mixerctl.conf || return
                     77:
1.265     millert    78:        # delete comments and blank lines
                     79:        set -- `stripcom /etc/mixerctl.conf`
                     80:        while [ $# -ge 1 ] ; do
                     81:                mixerctl -q $1 > /dev/null 2>&1
                     82:                shift
                     83:        done
                     84: }
                     85:
1.267     millert    86: wsconsctl_conf()
                     87: {
                     88:        local save_IFS="$IFS"
                     89:
                     90:        test -x /sbin/wsconsctl -a -s /etc/wsconsctl.conf || return
                     91:        # delete comments and blank lines
                     92:        IFS="
                     93: "
                     94:        set -- `stripcom /etc/wsconsctl.conf`
                     95:        IFS="$save_IFS"
                     96:        while [ $# -ge 1 ] ; do
1.356     deraadt    97:                eval wsconsctl $1
1.267     millert    98:                shift
                     99:        done
                    100: }
                    101:
1.312     djm       102: random_seed()
                    103: {
1.389     deraadt   104:        if [ -f /var/db/host.random ]; then
1.347     deraadt   105:                dd if=/var/db/host.random of=/dev/arandom bs=65536 count=1 \
1.312     djm       106:                    > /dev/null 2>&1
1.389     deraadt   107:                chmod 600 /var/db/host.random >/dev/null 2>&1
1.328     deraadt   108:
1.312     djm       109:                # reset seed file, so that if a shutdown-less reboot occurs,
                    110:                # the next seed is not a repeat
1.347     deraadt   111:                dd if=/dev/arandom of=/var/db/host.random bs=65536 count=1 \
1.312     djm       112:                    > /dev/null 2>&1
                    113:        fi
                    114: }
                    115:
1.318     djm       116: fill_baddynamic()
                    117: {
1.390   ! halex     118:        local _service=$1
1.318     djm       119:        local _sysctl="net.inet.${_service}.baddynamic"
1.390   ! halex     120:        stripcom /etc/services |
        !           121:        {
        !           122:                # Variables are local
        !           123:                while IFS="     /" read _name _port _srv _junk; do
        !           124:                        [ "x${_srv}" = "x${_service}" ] || continue;
        !           125:                        _ban="${_ban:+${_ban},}+${_port}"
        !           126:                        # Flush before argv gets too long
        !           127:                        if [ ${#_ban} -gt 1024 ]; then
        !           128:                                sysctl -q ${_sysctl}=${_ban}
        !           129:                                _ban=""
        !           130:                        fi
        !           131:                done
        !           132:                [ "${_ban}" ] && sysctl -q ${_sysctl}=${_ban}
        !           133:        }
1.318     djm       134: }
                    135:
1.353     robert    136: start_daemon()
                    137: {
1.354     robert    138:        local _n
1.353     robert    139:        for _n; do
                    140:                eval _do=\${${_n}_flags}
                    141:                if [ X"${_do}" != X"NO" ]; then
                    142:                        /etc/rc.d/${_n} start
                    143:                fi
                    144:        done
                    145: }
                    146:
1.373     deraadt   147: make_keys()
                    148: {
                    149:        if [ X"${named_flags}" != X"NO" ]; then
                    150:                if ! cmp -s /etc/rndc.key /var/named/etc/rndc.key ; then
                    151:                        echo -n "rndc-confgen: generating shared secret... "
                    152:                        if rndc-confgen -a -t /var/named >/dev/null 2>&1; then
                    153:                                chmod 0640 /var/named/etc/rndc.key \
                    154:                                    >/dev/null 2>&1
                    155:                                echo done.
                    156:                        else
                    157:                                echo failed.
                    158:                        fi
                    159:                fi
                    160:        fi
                    161:
                    162:        if [ ! -f /etc/isakmpd/private/local.key ]; then
                    163:                echo -n "openssl: generating isakmpd/iked RSA key... "
                    164:                if openssl genrsa -out /etc/isakmpd/private/local.key 2048 \
                    165:                    >/dev/null 2>&1; then
                    166:                        chmod 600 /etc/isakmpd/private/local.key
                    167:                        openssl rsa -out /etc/isakmpd/local.pub -in \
                    168:                            /etc/isakmpd/private/local.key -pubout \
                    169:                            >/dev/null 2>&1
                    170:                        echo done.
                    171:                else
                    172:                        echo failed.
                    173:                fi
                    174:        fi
                    175:
                    176:        if [ ! -f /etc/iked/private/local.key ]; then
                    177:                # Just copy the generated isakmpd key
                    178:                cp /etc/isakmpd/private/local.key /etc/iked/private/local.key
                    179:                chmod 600 /etc/iked/private/local.key
                    180:                cp /etc/isakmpd/local.pub /etc/iked/local.pub
                    181:        fi
                    182:
                    183:        ssh-keygen -A
                    184: }
                    185:
                    186: # create Unix sockets directories for X if needed and make sure they have
                    187: # correct permissions
                    188: setup_X_sockets()
                    189: {
                    190:        if [ -d /usr/X11R6/lib ]; then
                    191:                for d in /tmp/.X11-unix /tmp/.ICE-unix ; do
                    192:                        if [ -d $d ]; then
                    193:                                if [ `ls -ld $d | cut -d' ' -f4` \
                    194:                                    != root ]; then
                    195:                                        chown root $d
                    196:                                fi
                    197:                                if [ `ls -ld $d | cut -d' ' -f1` \
                    198:                                    != drwxrwxrwt ]; then
                    199:                                        chmod 1777 $d
                    200:                                fi
                    201:                        elif [ -e $d ]; then
                    202:                                echo "Error: $d exists and isn't a directory."
                    203:                        else
                    204:                                mkdir -m 1777 $d
                    205:                        fi
                    206:                done
                    207:        fi
                    208: }
                    209:
1.131     millert   210: # End subroutines
                    211:
1.1       deraadt   212: stty status '^T'
                    213:
                    214: # Set shell to ignore SIGINT (2), but not children;
                    215: # shell catches SIGQUIT (3) and returns to single user after fsck.
                    216: trap : 2
                    217: trap : 3       # shouldn't be needed
                    218:
                    219: HOME=/; export HOME
1.349     robert    220: INRC=1; export INRC
1.1       deraadt   221: PATH=/sbin:/bin:/usr/sbin:/usr/bin
                    222: export PATH
1.108     deraadt   223:
1.343     robert    224: # pick up option configuration
                    225: . /etc/rc.conf
                    226:
1.266     millert   227: if [ X"$1" = X"shutdown" ]; then
1.347     deraadt   228:        dd if=/dev/arandom of=/var/db/host.random bs=65536 count=1 >/dev/null 2>&1
1.108     deraadt   229:        chmod 600 /var/db/host.random >/dev/null 2>&1
1.352     ajacouto  230:        local _c=$?
1.380     ajacouto  231:        if [ ${_c} -eq 0 -a -n "${pkg_scripts}" ]; then
1.352     ajacouto  232:                echo -n 'stopping package daemons:'
1.380     ajacouto  233:                while [ -n "${pkg_scripts}" ]; do
                    234:                        _r=${pkg_scripts##* }
                    235:                        pkg_scripts=${pkg_scripts%%*( )${_r}}
1.352     ajacouto  236:                        [ -x /etc/rc.d/${_r} ] && /etc/rc.d/${_r} stop
                    237:                done
                    238:                echo '.'
                    239:        fi
                    240:        if [ ${_c} -eq 0 -a -f /etc/rc.shutdown ]; then
1.108     deraadt   241:                echo /etc/rc.shutdown in progress...
                    242:                . /etc/rc.shutdown
                    243:                echo /etc/rc.shutdown complete.
1.240     mcbride   244:
                    245:                # bring carp interfaces down gracefully
1.331     sthen     246:                ifconfig | while read a b; do
                    247:                        case $a in
                    248:                        carp+([0-9]):) ifconfig ${a%:} down ;;
1.329     sthen     249:                        esac
1.240     mcbride   250:                done
1.246     mcbride   251:
1.266     millert   252:                if [ X"${powerdown}" = X"YES" ]; then
1.246     mcbride   253:                        exit 2
                    254:                fi
                    255:
1.108     deraadt   256:        else
                    257:                echo single user: not running /etc/rc.shutdown
                    258:        fi
                    259:        exit 0
                    260: fi
1.1       deraadt   261:
                    262: # Configure ccd devices.
1.17      deraadt   263: if [ -f /etc/ccd.conf ]; then
1.1       deraadt   264:        ccdconfig -C
                    265: fi
1.98      jakob     266:
                    267: # Configure raid devices.
                    268: for dev in 0 1 2 3; do
                    269:        if [ -f /etc/raid$dev.conf ]; then
                    270:                raidctl -c /etc/raid$dev.conf raid$dev
                    271:        fi
                    272: done
1.190     tdeval    273:
                    274: # Check parity on raid devices.
1.191     deraadt   275: raidctl -P all
1.1       deraadt   276:
1.172     miod      277: swapctl -A -t blk
1.170     deraadt   278:
1.17      deraadt   279: if [ -e /fastboot ]; then
1.1       deraadt   280:        echo "Fast boot: skipping disk checks."
1.266     millert   281: elif [ X"$1" = X"autoboot" ]; then
1.1       deraadt   282:        echo "Automatic boot in progress: starting file system checks."
1.31      millert   283:        fsck -p
1.1       deraadt   284:        case $? in
                    285:        0)
                    286:                ;;
                    287:        2)
                    288:                exit 1
                    289:                ;;
                    290:        4)
                    291:                echo "Rebooting..."
                    292:                reboot
                    293:                echo "Reboot failed; help!"
                    294:                exit 1
                    295:                ;;
                    296:        8)
                    297:                echo "Automatic file system check failed; help!"
                    298:                exit 1
                    299:                ;;
                    300:        12)
                    301:                echo "Boot interrupted."
                    302:                exit 1
                    303:                ;;
                    304:        130)
                    305:                # interrupt before catcher installed
                    306:                exit 1
                    307:                ;;
                    308:        *)
                    309:                echo "Unknown error; help!"
                    310:                exit 1
                    311:                ;;
                    312:        esac
                    313: fi
                    314:
                    315: trap "echo 'Boot interrupted.'; exit 1" 3
                    316:
                    317: umount -a >/dev/null 2>&1
1.303     grunk     318: mount -a -t nonfs,vnd
1.57      niklas    319: mount -uw /            # root on nfs requires this, others aren't hurt
1.1       deraadt   320: rm -f /fastboot                # XXX (root now writeable)
1.177     deraadt   321:
1.255     henning   322: # set flags on ttys.  (do early, in case they use tty for SLIP in netstart)
1.1       deraadt   323: echo 'setting tty flags'
                    324: ttyflags -a
1.77      angelos   325:
1.252     mcbride   326: if [ -f /sbin/kbd -a -f /etc/kbdtype ]; then
                    327:        kbd `cat /etc/kbdtype`
                    328: fi
                    329:
1.279     deraadt   330: wsconsctl_conf
                    331:
1.266     millert   332: if [ X"${pf}" != X"NO" ]; then
1.211     mcbride   333:        RULES="block all"
1.228     henning   334:        RULES="$RULES\npass on lo0"
1.195     dhartmei  335:        RULES="$RULES\npass in proto tcp from any to any port 22 keep state"
1.208     camield   336:        RULES="$RULES\npass out proto { tcp, udp } from any to any port 53 keep state"
1.215     camield   337:        RULES="$RULES\npass out inet proto icmp all icmp-type echoreq keep state"
1.257     grange    338:        if ifconfig lo0 inet6 >/dev/null 2>&1; then
1.258     itojun    339:                RULES="$RULES\npass out inet6 proto icmp6 all icmp6-type neighbrsol"
                    340:                RULES="$RULES\npass in inet6 proto icmp6 all icmp6-type neighbradv"
1.257     grange    341:                RULES="$RULES\npass out inet6 proto icmp6 all icmp6-type routersol"
                    342:                RULES="$RULES\npass in inet6 proto icmp6 all icmp6-type routeradv"
                    343:        fi
1.322     mcbride   344:        RULES="$RULES\npass proto carp keep state (no-sync)"
1.193     deraadt   345:        case `sysctl vfs.mounts.nfs 2>/dev/null` in
1.184     deraadt   346:        *[1-9]*)
                    347:                # don't kill NFS
1.324     henning   348:                RULES="set reassemble yes no-df\n$RULES"
1.306     deraadt   349:                RULES="$RULES\npass in proto { tcp, udp } from any port { 111, 2049 } to any"
                    350:                RULES="$RULES\npass out proto { tcp, udp } from any to any port { 111, 2049 }"
1.184     deraadt   351:                ;;
                    352:        esac
1.269     dhartmei  353:        echo $RULES | pfctl -f -
                    354:        pfctl -e
1.176     kjell     355: fi
1.318     djm       356:
                    357: # Fill net.inet.(tcp|udp).baddynamic lists from /etc/services
                    358: fill_baddynamic udp
                    359: fill_baddynamic tcp
1.176     kjell     360:
1.267     millert   361: sysctl_conf
1.260     jsg       362:
1.1       deraadt   363: # set hostname, turn on network
                    364: echo 'starting network'
1.289     henning   365: ifconfig -g carp carpdemote 128
1.264     deraadt   366: if [ -f /etc/resolv.conf.save ]; then
1.334     deraadt   367:        mv -f /etc/resolv.conf.save /etc/resolv.conf
1.264     deraadt   368:        touch /etc/resolv.conf
                    369: fi
1.1       deraadt   370: . /etc/netstart
1.348     deraadt   371: echo rekey > /dev/arandom      # any write triggers an RC4 rekey
1.176     kjell     372:
1.266     millert   373: if [ X"${pf}" != X"NO" ]; then
1.176     kjell     374:        if [ -f ${pf_rules} ]; then
1.198     dhartmei  375:                pfctl -f ${pf_rules}
1.309     mpf       376:        fi
                    377:        # bring up pfsync after the working ruleset has been loaded
1.367     deraadt   378:        if [ -f /etc/hostname.pfsync0 ]; then
                    379:                . /etc/netstart pfsync0
                    380:        fi
1.176     kjell     381: fi
1.1       deraadt   382:
1.278     otto      383: mount -s /usr >/dev/null 2>&1
                    384: mount -s /var >/dev/null 2>&1
1.180     deraadt   385:
1.389     deraadt   386: random_seed
1.29      deraadt   387:
1.55      deraadt   388: # clean up left-over files
1.376     deraadt   389: rm -f /etc/nologin /var/spool/lock/LCK.* /var/spool/uucp/STST/*
1.247     henning   390: (cd /var/run && { rm -rf -- *; install -c -m 664 -g utmp /dev/null utmp; })
1.196     beck      391: (cd /var/authpf && rm -rf -- *)
1.96      alex      392:
                    393: # save a copy of the boot messages
                    394: dmesg >/var/run/dmesg.boot
1.55      deraadt   395:
1.373     deraadt   396: make_keys
                    397:
1.379     deraadt   398: echo -n 'starting early daemons:'
1.387     deraadt   399: start_daemon syslogd ldattach pflogd named nsd ntpd isakmpd iked sasyncd
1.353     robert    400: echo '.'
1.280     hshoexer  401:
                    402: if [ X"${ipsec}" != X"NO" ]; then
                    403:        if [ -f ${ipsec_rules} ]; then
                    404:                ipsecctl -f ${ipsec_rules}
                    405:        fi
1.40      provos    406: fi
1.1       deraadt   407:
1.379     deraadt   408: echo -n 'starting RPC daemons:'
1.355     robert    409: start_daemon portmap
1.376     deraadt   410: if [ X"`domainname`" != X"" ]; then
1.385     deraadt   411:        start_daemon ypserv ypbind yppasswdd
1.376     deraadt   412: fi
1.385     deraadt   413: start_daemon ypldap mountd nfsd lockd statd amd
1.1       deraadt   414: echo '.'
1.58      deraadt   415:
1.278     otto      416: mount -a
1.172     miod      417: swapctl -A -t noblk
1.1       deraadt   418:
                    419: # /var/crash should be a directory or a symbolic link
                    420: # to the crash directory if core dumps are to be saved.
                    421: if [ -d /var/crash ]; then
1.188     tholo     422:        savecore ${savecore_flags} /var/crash
1.90      art       423: fi
                    424:
1.266     millert   425: if [ X"${check_quotas}" = X"YES" ]; then
1.41      downsj    426:        echo -n 'checking quotas:'
                    427:        quotacheck -a
                    428:        echo ' done.'
                    429:        quotaon -a
                    430: fi
1.1       deraadt   431:
1.376     deraadt   432: kvm_mkdb                       # build kvm(3) databases
1.1       deraadt   433: dev_mkdb
1.101     deraadt   434: chmod 666 /dev/tty[pqrstuvwxyzPQRST]*
1.226     millert   435: chown root:wheel /dev/tty[pqrstuvwxyzPQRST]*
1.1       deraadt   436:
                    437: # check the password temp/lock file
1.17      deraadt   438: if [ -f /etc/ptmp ]; then
1.1       deraadt   439:        logger -s -p auth.err \
1.376     deraadt   440:            'password file may be incorrect -- /etc/ptmp exists'
1.32      deraadt   441: fi
                    442:
1.49      millert   443: echo clearing /tmp
                    444:
                    445: # prune quickly with one rm, then use find to clean up /tmp/[lq]*
                    446: # (not needed with mfs /tmp, but doesn't hurt there...)
1.339     sthen     447: (cd /tmp && rm -rf [a-km-pr-zA-Z]*)
                    448: (cd /tmp &&
1.49      millert   449:     find . ! -name . ! -name lost+found ! -name quota.user \
1.103     millert   450:        ! -name quota.group -execdir rm -rf -- {} \; -type d -prune)
1.373     deraadt   451:
                    452: setup_X_sockets
1.203     hugh      453:
1.72      deraadt   454: [ -f /etc/rc.securelevel ] && . /etc/rc.securelevel
1.266     millert   455: if [ X"${securelevel}" != X"" ]; then
1.33      millert   456:        echo -n 'setting kernel security level: '
1.234     jmc       457:        sysctl kern.securelevel=${securelevel}
1.1       deraadt   458: fi
                    459:
1.34      deraadt   460: # patch /etc/motd
                    461: if [ ! -f /etc/motd ]; then
                    462:        install -c -o root -g wheel -m 664 /dev/null /etc/motd
                    463: fi
1.364     guenther  464: if T=`mktemp /tmp/_motd.XXXXXXXXXX`; then
1.102     millert   465:        sysctl -n kern.version | sed 1q > $T
                    466:        echo "" >> $T
                    467:        sed '1,/^$/d' < /etc/motd >> $T
                    468:        cmp -s $T /etc/motd || cp $T /etc/motd
                    469:        rm -f $T
                    470: fi
1.34      deraadt   471:
1.298     ajacouto  472: if [ X"${accounting}" = X"YES" ]; then
                    473:        if [ ! -f /var/account/acct ]; then
                    474:                touch /var/account/acct
                    475:        fi
1.1       deraadt   476:        echo 'turning on accounting';   accton /var/account/acct
                    477: fi
                    478:
1.363     deraadt   479: if [ -f /sbin/ldconfig ]; then
1.115     deraadt   480:        echo 'creating runtime link editor directory cache.'
                    481:        if [ -d /usr/local/lib ]; then
1.183     todd      482:                shlib_dirs="/usr/local/lib $shlib_dirs"
1.115     deraadt   483:        fi
                    484:        if [ -d /usr/X11R6/lib ]; then
1.183     todd      485:                shlib_dirs="/usr/X11R6/lib $shlib_dirs"
1.115     deraadt   486:        fi
                    487:        ldconfig $shlib_dirs
1.231     millert   488: fi
                    489:
1.376     deraadt   490: echo 'preserving editor files.';       /usr/libexec/vi.recover
1.244     markus    491:
1.353     robert    492: echo -n 'starting network daemons:'
1.383     deraadt   493: start_daemon sshd snmpd ldpd ripd ospfd ospf6d bgpd ifstated
                    494: start_daemon relayd dhcpd dhcrelay mrouted dvmrpd
1.127     itojun    495:
                    496: if ifconfig lo0 inet6 >/dev/null 2>&1; then
                    497:        fw=`sysctl -n net.inet6.ip6.forwarding`
1.266     millert   498:        if [ X"${fw}" = X"0" ]; then
1.353     robert    499:                start_daemon rtsold
1.127     itojun    500:        else
1.376     deraadt   501:                start_daemon route6d rtadvd
1.127     itojun    502:        fi
1.281     reyk      503: fi
                    504:
1.371     deraadt   505: start_daemon hostapd rwhod lpd ldapd sendmail smtpd httpd ftpd
1.377     robert    506: start_daemon ftpproxy identd inetd rarpd bootparamd rbootd mopd
1.387     deraadt   507: start_daemon spamd spamlogd kdc kadmind kpasswdd aucat
1.377     robert    508: echo '.'
1.365     robert    509:
1.379     deraadt   510: if [ X"${spamd_flags}" != X"NO" ]; then
1.319     deraadt   511:        /usr/libexec/spamd-setup -D
1.17      deraadt   512: fi
1.335     deraadt   513:
                    514: # If rc.firstime exists, run it just once, and make sure it is deleted
                    515: if [ -f /etc/rc.firsttime ]; then
                    516:        mv /etc/rc.firsttime /etc/rc.firsttime.run
1.384     halex     517:        . /etc/rc.firsttime.run 2>&1 | tee /dev/tty |
                    518:                mail -s 'rc.firsttime output' root >/dev/null
1.335     deraadt   519: fi
                    520: rm -f /etc/rc.firsttime.run
1.352     ajacouto  521:
                    522: # Run rc.d(8) scripts from packages
1.380     ajacouto  523: if [ -n "${pkg_scripts}" ]; then
1.352     ajacouto  524:        echo -n 'starting package daemons:'
1.380     ajacouto  525:        for _r in $pkg_scripts; do
1.368     robert    526:                [ -x /etc/rc.d/${_r} ] && start_daemon ${_r}
1.352     ajacouto  527:        done
                    528:        echo '.'
                    529: fi
1.17      deraadt   530:
1.72      deraadt   531: [ -f /etc/rc.local ] && . /etc/rc.local
1.73      millert   532:
1.379     deraadt   533: ifconfig -g carp -carpdemote 128       # disable carp interlock
1.286     mcbride   534:
1.379     deraadt   535: mixerctl_conf
                    536: echo -n 'starting local daemons:'
1.386     deraadt   537: start_daemon apmd sensorsd hotplugd watchdogd cron wsmoused xdm
1.73      millert   538: echo '.'
1.1       deraadt   539:
                    540: date
                    541: exit 0